Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.benchmark.byTask.feeds
Class DocMaker.DocState

    java.lang.Object
      org.apache.lucene.benchmark.byTask.feeds.DocMaker.DocState

Enclosing class:
  DocMaker

    protected static class DocMaker.DocState

extends Object

Document state, supports reuse of field instances across documents (see `reuseFields` parameter).

Constructor Summary
`DocMaker.DocState(boolean reuseFields, FieldType ft, FieldType bodyFt)`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DocMaker.DocState

    public DocMaker.DocState(boolean reuseFields,
                             FieldType ft,
                             FieldType bodyFt)

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.